Permalink
Browse files

update docs

  • Loading branch information...
1 parent 4131132 commit d3c0c293f90a5b2088e1e595ef8ad160f76fc994 @siuying committed May 22, 2012
Showing with 7 additions and 11 deletions.
  1. +6 −11 README.md
  2. +1 −0 nano-store.gemspec
View
@@ -10,26 +10,21 @@ Install the CocoaPods dependency manager if you haven't it already:
gem install motion-cocoapods
pod setup
+
+Install nano-store gem
-Add BubbleWrap, NanoStore and NanoStoreInMotion as a git submodule of your RubyMotion project:
-
- git submodule add https://github.com/mattetti/BubbleWrap.git vendor/BubbleWrap
- git submodule add https://github.com/tciuro/NanoStore.git vendor/NanoStore
- git submodule add https://github.com/siuying/NanoStoreInMotion.git vendor/NanoStoreInMotion
+ gem install nano-store
-Add the lib path and NanoStore pod to your project 'Rakefile'
+Require nano-store to your project 'Rakefile'
```ruby
$:.unshift("/Library/RubyMotion/lib")
require 'motion/project'
require 'motion-cocoapods'
+require 'nano-store'
+
Motion::Project::App.setup do |app|
app.name = 'myapp'
- app.files = Dir.glob(File.join(app.project_dir, 'vendor/BubbleWrap/lib/**/*.rb')) + app.files
- app.files = Dir.glob(File.join(app.project_dir, 'vendor/NanoStoreInMotion/lib/**/*.rb')) + app.files
- app.pods do
- dependency 'NanoStore'
- end
end
```
View
@@ -13,4 +13,5 @@ Gem::Specification.new do |gem|
gem.name = "nano-store"
gem.require_paths = ["lib"]
gem.version = NanoStore::VERSION
+ gem.add_dependency 'bubble-wrap', '>= 0.1.1'
end

0 comments on commit d3c0c29

Please sign in to comment.